#-*- mode: python; mode: fold -*-
# $Id: getWAeUPSchemas.py 47 2005-10-14 13:01:35Z joachim $

university_schema = { ###(
   'allow_discussion': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': 0,
        },
    },
}

###)

students_folder_schema = { ###(
   'allow_discussion': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': 0,
        },
    },
}

###)

student_schema = { ###(
   'allow_discussion': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': 0,
            },
        },
     'jamb_is_admitted': {
        'type': 'CPS Boolean Field',
        'data': {
            'default_expr': 'python:False',
            'is_searchabletext': 0,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'jamb_where_admitted': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:Lagos',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'faculty': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
}
#
###)

student_personal_schema = { ###(
   'allow_discussion': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': 0,
            },
        },
     'firstname': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
    'middlename': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
     'lastname': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
     'sex': {
        'type': 'CPS Boolean Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
     'birthday': {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
}
#
###)

jamb_schema = { ###(
   'allow_discussion': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': 0,
            },
        },
    'reg_nr': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'admission_sc_id': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': '',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'admission_sc_pin': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'admission_sc_pin_usage': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': False,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'name': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'age': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:20',
            'is_searchabletext': False,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'sex': {
        'type': 'CPS Boolean Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': False,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'state_of_origin': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'exam_results': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'aggregate': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    '2nd_choice': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    '3rd_choice': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
}

###)

##scratch_card = { ###(
####   'allow_discussion': {
####        'type': 'CPS Int Field',
####        'data': {
####            'default_expr': 'python:0',
####            'is_searchabletext': 0,
####            },
####        },
##     'sc_id': {
##        'type': 'CPS String Field',
##        'data': {
##            'default_expr': '',
##            'is_searchabletext': 0,
##            'acl_read_permissions': '',
##            'acl_read_roles': '',
##            'acl_read_expr': '',
##            'acl_write_permissions': '',
##            'acl_write_roles': '',
##            'acl_write_expr': '',
##            'read_ignore_storage': False,
##            'read_process_expr': '',
##            'read_process_dependent_fields': (),
##            'write_ignore_storage': False,
##            'write_process_expr': '',
##        },
##    },
##     'sc_pin': {
##        'type': 'CPS String Field',
##        'data': {
##            'default_expr': '',
##            'is_searchabletext': 0,
##            'acl_read_permissions': '',
##            'acl_read_roles': '',
##            'acl_read_expr': '',
##            'acl_write_permissions': '',
##            'acl_write_roles': '',
##            'acl_write_expr': '',
##            'read_ignore_storage': False,
##            'read_process_expr': '',
##            'read_process_dependent_fields': (),
##            'write_ignore_storage': False,
##            'write_process_expr': '',
##        },
##    },
##}
schemas = {}
###)

schemas['university'] = university_schema
schemas['students'] = students_folder_schema
schemas['student'] = student_schema
schemas['student_personal'] = student_personal_schema
schemas['jamb'] = jamb_schema
#schemas['scratch_card'] = scratch_card

return schemas
